<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mis Proyectos</title>
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="preload" href="css/style.css" as="style" /> <!-- Use this line to load stylesheet faster => Increase web page performance -->
    <link href="css/style.css" rel="stylesheet"/> <!-- rel = relation with current document-->
    <link rel="preload" href="css/admin_language.css" as="style" />
    <link href="css/admin_language.css" rel="stylesheet"/>
    <link rel="preload" href="css/buttons.css" as="style" />
    <link rel="preload" href="css/containersAndNav.css" as="style" />
    <link href="css/containersAndNav.css" rel="stylesheet"/>
    <link href="css/buttons.css" rel="stylesheet"/> 
    <link rel="preload" href="css/forms.css" as="style" />
    <link href="css/forms.css" rel="stylesheet"/>  
    <link rel="preload" href="css/icons.css" as="style" />
    <link href="css/icons.css" rel="stylesheet"/>
    <link rel="preload" href="css/services.css" as="style" />
    <link href="css/services.css" rel="stylesheet"/> 
    <link rel="preload" href="css/typography.css" as="style" />
    <link href="css/typography.css" rel="stylesheet"/> 
    <link rel="preload" href="css/utilities.css" as="style" />
    <link href="css/utilities.css" rel="stylesheet"/>
    <link rel="preload" href="css/projects.css" as="style" />
    <link href="css/projects.css" rel="stylesheet"/>
    <link rel="preload" href="css/images.css" as="style" />
    <link href="css/images.css" rel="stylesheet"/>
    <!-- Add external fonts from google fonts-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200&display=swap" rel="stylesheet">
    <!-- Other -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;500&display=swap" rel="stylesheet">
    <!-- Including too many external fonts will increase the web page's loading time -->
</head>
<body>
    <header class="hero">                                <!-- You may only use one header area and one main content area. Using multiple sections is fine-->
        <div class="hero-content">
            <h1 class="myTitle">Mis Proyectos</h1>
        </div> <!-- hero-content -->
        <div class="myTopMenu top_right_corner">                                 
            <div class="w-small-100 myUser no_margin">
                <div class="languageIcon"></div>
                <select class="languageSelect" id="changeLanguage">
                    <option class="button-text" value="Spanish">Español</option>
                    <option class="button-text" value="English">English</option>
                </select>
            </div>
            <a class="w-small-100 myUser no_margin" id="authenticate" type="submit"><div class="userIcon"></div><span class="button-text" id="login_text"></span></a>
        </div>
        <div class="nav-bg">
            <nav class="myContainer Principal_Nav">                                   <!--Navigation area-->
                <a href="indexSpanish.html">Inicio</a> <!--anchor elements require the href="link" atribute-->
                <a href="aboutMeSpanish.html">Acerca de Mí</a>            <!-- href="#" means I don´t have the link yet-->
                <a href="reviewsSpanish.html">Mis Reseñas</a>
                <a href="contactMeSpanish.html">Contacto</a>
            </nav>
        </div>
    </header>
    <main class="main_project_container" id="project_container">
        <div class="fixed_nav_area" id="fixed_navigation_area">
            <div class="fixed_nav_icons">
                <a class="embedded_systems_icon" href="#embedded_systems_link"></a>
            </div>
            <div class="fixed_nav_icons">
                <a class="computer_science_icon" href="#computer_science_link"></a>
            </div>
            <div class="fixed_nav_icons">
                <a class="operative_systems_icon" href="#operative_systems_link"></a>
            </div>
            <div class="fixed_nav_icons">
                <a class="web_dev_icon" href="#web_dev_link"></a>
            </div>
            <div class="fixed_nav_icons">
                <a class="mobile_dev_icon" href="#mobile_dev_link"></a>
            </div>
        </div>
        <div class="cat_container">
            <section class="category" id="embedded_systems_link">
                <div class="cat_title embedded_systems">
                    <h3>Sistemas Embebidos</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <picture>
                                    <source class="project_img" loading="lazy" srcset="img/circuit.webp" type="image/webp">
                                    <img loading="lazy" class="project_img" src="img/circuit.png" alt="Project 1">
                                </picture>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Proyecto ASM - Voltímetro, Reloj y Mecanismo de Seguridad</h4>
                                <p class="myParagraph">Este proyecto demuestra la integración de principios de electrónica digital utilizando el microcontrolador PIC 16F887. Presenta un sistema versátil que incorpora un voltímetro, reloj y mecanismo de seguridad. El circuito muestra en tiempo real el voltaje y la corriente, gestiona el reloj a través de un teclado de matriz y proporciona una medida de seguridad contra cortocircuitos. Además, utiliza comunicación serial para visualizar los resultados del ADC en una PC.</p>
                                <a class="button" href="#" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <picture>
                                    <source class="project_img" loading="lazy" srcset="img/diagram.webp" type="image/webp">
                                    <img loading="lazy" class="project_img" src="img/diagram.png" alt="Project 1">
                                </picture>
                            </div>  
                            <div class="project_description">
                                <h4 class="project_title">Proyecto ARM (LPC1769) - Tanque con Control Automatizado</h4>
                                <p class="myParagraph">El Sistema de Control Automatizado de Tanques es una solución sofisticada diseñada para gestionar eficazmente los 
                                    niveles de líquido en un tanque. Utilizando un microcontrolador LPC y varios periféricos, ofrece diversos modos de control, que incluyen
                                    control manual y basado en PC, junto con monitoreo de errores e interacción con el usuario a través de UART. Este sistema garantiza la gestión
                                    precisa de los niveles de líquido mientras proporciona una interfaz amigable para configuración y monitoreo.</p>
                                <a class="button" href="https://gitlab.com/spanish3/sistemas-embebidos/arm/01-tanque_control_automatizado" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/PWM_Speed_Control_Project.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/PWM_Speed_Control_Project.jpg" alt="Project 1">
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">PWM - Control de Velocidad de un Motor de DC</h4>
                                <p class="myParagraph">Este proyecto utiliza la Modulación por Ancho de Pulso (PWM) para controlar la velocidad de un motor de corriente continua
                                     de 12V utilizando un microcontrolador PIC. Con controles sencillos como un potenciómetro de comando y botones dedicados para diversas funciones,
                                      el sistema permite un ajuste preciso de la velocidad del motor. Además, incorpora un indicador visual con un medidor digital de VU de 12 LED. 
                                      Por último, se incluye un diseño de PCB en KiCad, como se requiere para el proyecto.</p>
                                <a class="button" href="https://gitlab.com/spanish3/sistemas-embebidos/pic/proyectos_c/pwm_control_motor_dc" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section>
            <section class="category" id="computer_science_link">
                <div class="cat_title computer_science">
                    <h3>Ciencias de la Computación</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <picture>
                                    <source class="project_img" loading="lazy" srcset="img/concurrente_tp3.webp" type="image/webp">
                                    <img loading="lazy" class="project_img" src="img/concurrente_tp3.png" alt="Project 1">
                                </picture>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Programación Concurrente - Simulador de Procesador de Doble Núcleo con Red de Petri</h4>
                                <p class="myParagraph">Implementación de un simulador de procesador de doble núcleo utilizando una red de Petri extendida, con políticas de resolución de conflictos y análisis de invariantes. El proyecto se desarrolló en Java y se validó con pruebas exhaustivas, garantizando su correcto funcionamiento en diversas condiciones de carga y configuración</p>
                                <a class="button" href="https://gitlab.com/spanish3/ciencias-de-la-computaci-n/lp-prog-concurrente-sim-dual-core/-/tree/main?ref_type=heads" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <picture>
                                    <source class="project_img" loading="lazy" srcset="img/MIPS.webp" type="image/webp">
                                    <img loading="lazy" class="project_img" src="img/MIPS.jpg" alt="Project 1">
                                </picture>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Arquitectura de Computadoras - MIPS Segmentado</h4>
                                <p class="myParagraph">Este proyecto implica diseñar un procesador MIPS segmentado utilizando Verilog, además de crear un programa ensamblador para sus instrucciones compatibles. Las pruebas fueron cruciales para garantizar que el procesador cumpliera con los requisitos de sincronización y manejara eficazmente los peligros.</p> 
                                <p class="myParagraph">Además, se desarrolló una máquina de estados para agilizar el proceso de carga de programas en la memoria de programa MIPS. En resumen, este proyecto requirió un cuidadoso diseño de hardware y desarrollo de software para lograr un procesador MIPS funcional y eficiente.</p>
                                <a class="button" href="https://gitlab.com/spanish3/ciencias-de-la-computaci-n/lp-mips" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section>
            <section class="category" id="operative_systems_link">
                <div class="cat_title operative_systems">
                    <h3>Sistemas Operativos</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <picture>
                                    <source class="project_img" loading="lazy" srcset="img/soii_lab1_block_diagram.webp" type="image/webp">
                                    <img loading="lazy" class="project_img" src="img/soii_lab1_block_diagram.jpg" alt="Project 1">
                                </picture>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Modelo Cliente-Servidor Utilizando IPC (Sockets)</h4>
                                <p class="myParagraph">Este proyecto implementa una arquitectura cliente-servidor multi-protocolo utilizando varios mecanismos de IPC, como sockets. Desarrollado en C, aprovecha al menos 3 protocolos de la familia sys/socket.h, facilitando el manejo de múltiples clientes a través de los protocolos INET (IPV4), UNIX e INET6 (IPV6). El servidor registra eficientemente y persiste recuentos de datos por protocolo y el total de datos recibidos en archivos persistentes, empleando una arquitectura basada en hilos para un manejo optimizado de conexiones y acumulación de datos.</p>
                                <a class="button" href="https://gitlab.com/spanish3/sistemas-operativos/cursado/lp-lab1-ipc" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <picture>
                                    <source class="project_img" loading="lazy" srcset="img/soii_lab2_connectionPool.webp" type="image/webp">
                                    <img loading="lazy" class="project_img" src="img/soii_lab2_connectionPool.png" alt="Project 1">
                                </picture>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Pool de Conexiones: Base de Datos, Servidor y Clientes</h4>
                                <p class="myParagraph">Este proyecto implementa una arquitectura cliente-servidor de tres niveles utilizando el lenguaje C y mecanismos de IPC. Incluye un servidor, múltiples tipos de clientes y una base de datos SQLite para comunicación entre procesos. Los clientes interactúan con el servidor para ejecutar consultas personalizadas, mientras que el servidor gestiona conexiones y retransmite mensajes a la base de datos.</p>
                                <p class="myParagraph">l trabajo implica una comunicación sólida entre cliente y servidor, manejo eficiente de la base de datos y uso de multihilos para garantizar interacciones fluidas entre los componentes.</p>
                                <a class="button" href="https://gitlab.com/spanish3/sistemas-operativos/cursado/lp-lab2-ipc" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <picture>
                                    <source class="project_img" loading="lazy" srcset="img/linux_device_drivers.webp" type="image/webp">
                                    <img loading="lazy" class="project_img" src="img/linux_device_drivers.png" alt="Project 1">
                                </picture>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Módulos del Kernel de Linux (Controlador de Dispositivos de Caracteres)</h4>
                                <p class="myParagraph"> Este proyecto implica el desarrollo de dos módulos del kernel para simular operaciones de dispositivos de caracteres dentro del kernel de Linux. Un módulo encripta los caracteres de entrada, mientras que el otro los desencripta. Estos módulos muestran la implementación de módulos del kernel, específicamente controladores de dispositivos de caracteres, permitiendo una interacción fluida entre las aplicaciones de usuario y el kernel.</p>
                                <a class="button" href="https://gitlab.com/spanish3/sistemas-operativos/lp-linux-device-drivers" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section> 
            <section class="category" id="web_dev_link">
                <div class="cat_title web_dev" id="web_development_section">
                    <h3>Desarrollo Web</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="https://lp-musicfestival.netlify.app/" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/musicFestival.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/musicFestival.png" alt="Project 1">    
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Festival de Música</h4>
                                <p class="myParagraph">Este proyecto comprende un sitio web de Festival de Música que presenta detalles del cartel, una galería, información sobre entradas y más. A diferencia de proyectos anteriores, este abarca tanto entornos de desarrollo como de producción. Esto implica una especificación cuidadosa (package.json) y el manejo de dependencias a través de herramientas como npm.</p>
                                <p class="myParagraph">Utiliza SCSS para estilizar de manera eficiente, incorporando mixins y variables para simplificar las tareas de codificación relacionadas con el estilo. Además, hace uso de Gulp como herramienta de automatización para diversas tareas repetitivas como compilar SCSS y JavaScript, conversión de imágenes a formatos más ligeros adecuados para uso web, etc. Por último, este proyecto incluye la optimización del código CSS y JavaScript, y la generación de mapas fuente para mantener la legibilidad del código optimizado en el navegador.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/04-lp-musicfestival" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="https://lp-myonlinestore.netlify.app/" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/onlineStore.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/onlineStore.png" alt="Project 1">    
                                    </picture>
                                </a>
                            </div>                  
                            <div class="project_description">
                                <h4 class="project_title">Tienda Online</h4>
                                <p class="myParagraph">El proyecto "Tienda en línea" es una parte esencial de mi aprendizaje en desarrollo web. Si bien se basa principalmente en HTML y CSS, también incorpora un toque de JavaScript para la visualización dinámica de imágenes y detalles de productos.</p>
                                <p class="myParagraph">El proyecto se centra en el uso estratégico de la cuadrícula de visualización de CSS, lo que permite una colocación precisa del contenido. Esto incluye técnicas avanzadas como la expansión de elementos a lo largo de las columnas de la cuadrícula, lo que resulta en un diseño estéticamente agradable y amigable para el usuario.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/02-lp-onlinestore" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="https://lp-coffeeblog.netlify.app/" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/CoffeeBlog.webp" type="image/webp">
                                        <img class="project_img" src="img/CoffeeBlog.png" alt="Project 1">
                                    </picture>
                                </a>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Coffee Blog</h4>
                                <p class="myParagraph">El proyecto "Coffee Blog" tiene como objetivo mejorar mis habilidades en HTML y CSS al crear contenido web visualmente atractivo y bien estructurado. Ofrece una plataforma simplificada pero atractiva para explorar varios temas relacionados con el café, completa con imágenes y artículos detallados.</p>
                                <p class="myParagraph">Además, se emplea modernizr.js para optimizar la visualización de imágenes, especialmente en los navegadores que admiten el formato más ligero WebP.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/03-lp-coffeeblog" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>                
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="https://lp-myportfolio.netlify.app/" target="_blank">
                                    <picture>
                                        <source class="project_img" loading="lazy" srcset="img/myPortfolio.webp" type="image/webp">
                                        <img loading="lazy" class="project_img" src="img/myPortfolio.png" alt="Project 1">
                                    </picture>
                                </a>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Mi Portfolio</h4>
                                <p class="myParagraph">Este proyecto presenta una combinación de HTML, CSS y JavaScript para ofrecer una explicación detallada de mis habilidades, mi CV, una introducción personal y una exhibición de algunos de mis proyectos.</p>
                                <p class="myParagraph">Una característica destacada es el sistema de reseñas de usuarios, donde los visitantes pueden compartir sus opiniones. Un administrador con sesión iniciada tiene el privilegio de aprobar o rechazar estas reseñas y también puede eliminar las reseñas aprobadas existentes, gestionando eficazmente el contenido. Esta funcionalidad está respaldada por una base de datos Firebase.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/01-lp-myportfolio" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <picture >
                                    <source class="project_img" loading="lazy" srcset="img/web_dev_coursework.webp" type="image/webp">
                                    <img class="project_img" loading="lazy" src="img/web_dev_coursework.png" alt="Coursework">
                                </picture>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Trabajo de Curso</h4>
                                <p class="myParagraph">Este conjunto de proyectos muestra todo lo que he aprendido en el curso que estoy cursando.</p>
                                <p class="myParagraph">Cada trabajo incluye ejemplos para diferentes temas y una explicación detallada para cada uno de ellos a través de comentarios.</p>
                                <a class="button" href="https://gitlab.com/english6060242/web-development/coursework" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
            </div>                     
            </section>        
            <section class="category" id="mobile_dev_link">
                <div class="cat_title mobile_dev">
                    <h3>Desarrollo Móvil</h3>
                </div>
                <div class="article_container">
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank"><img class="project_img" src="img/no_image.jpg" alt="Proyecto 1"></a>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Título del Proyecto</h4>
                                <p class="myParagraph">La descripción va aquí.</p>
                                <a class="button" href="#" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank"><img class="project_img" src="img/no_image.jpg" alt="Proyecto 1"></a>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Título del Proyecto</h4>
                                <p class="myParagraph">La descripción va aquí.</p>
                                <p class="myParagraph">La descripción va aquí.</p>
                                <a class="button" href="#" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                    <article class="project">
                        <div class="project_content">
                            <div class="image_container">
                                <a href="#" target="_blank"><img class="project_img" src="img/no_image.jpg" alt="Proyecto 1"></a>
                            </div>
                            <div class="project_description">
                                <h4 class="project_title">Título del Proyecto</h4>
                                <p class="myParagraph">La descripción va aquí.</p>
                                <p class="myParagraph">La descripción va aquí.</p>
                                <a class="button" href="#" target="_blank">Ir al repositorio</a>
                            </div>
                        </div>
                    </article>
                </div>
            </section>                       
        </div>
    </main><!-- myContainer shadow -->
    <footer class="footer">
        <p>Todos los derechos reservados</p>
    </footer><!-- .footer -->
    <script>
        document.addEventListener("DOMContentLoaded", function () {
        const languageSelect = document.getElementById("changeLanguage");

        languageSelect.addEventListener("change", function () {
            const selectedValue = languageSelect.value;

            if (selectedValue === "English") {
            window.location.href = "myProjects.html"; // Change to the English page
            } else if (selectedValue === "Spanish") {
            window.location.href = "myProjectsSpanish.html"; // Change to the Spanish page
            }
        });
        });
    </script>
    <script src="js/modernizr.js"></script>
    <script src="js/common.bundle.js"></script>
    <script src="js/myProjects.bundle.js"></script>
</body>
</html>